Ask Your Question

Unable to locate package puppet-agent

asked 2018-01-05 15:06:38 -0500

scalderoni gravatar image

So I am installing puppet and have installed a few agents today. Thought I would do two more and now on both I get:

Unable to locate package puppet-agent

When running apt-get install puppet-agent

The first two steps work fine..

cd ~ && wget
sudo dpkg -i puppetlabs-release-pc1-trusty.deb

Any advice is appreciated!

edit retag flag offensive close merge delete

1 Answer

Sort by » oldest newest most voted

answered 2018-01-06 23:20:35 -0500

updated 2018-01-06 23:21:44 -0500

Puppet documentation: Puppet collections § “Apt-based systems”

Finally, run apt-get update after installing the release package to update the apt package lists.

Ideally, you learn how to get around with apt(8) in general, e.g. by reading Debian's manual [/usr/share/doc/debian-handbook/html/en-US/apt.htm from the debian-handbook package].

edit flag offensive delete link more


Thanks for your insightful answer. I posted because I have been through all that already and it's only happening on 2 of 50ish servers.

scalderoni gravatar imagescalderoni ( 2018-01-08 14:48:42 -0500 )edit

So, does it work now after a `apt-get update`?

Kai Burghardt gravatar imageKai Burghardt ( 2018-01-08 17:37:07 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower


Asked: 2018-01-05 15:05:24 -0500

Seen: 118 times

Last updated: Jan 06